//----------------------------------------------------------------------------
// William Baxter III's Ray Tracer
//
//     Project for Comp 238, Raster Graphics
//     University of North Carolina at Chapel Hill
//     
// $Id:$
//----------------------------------------------------------------------------

#ifndef WB3SHADER_H
#define WB3SHADER_H


//----------------------------------------------------------------------------
class wb3Artifact;
class wb3Scene;
class Vec3f;
class Ray3f;


class wb3Shader
{
public:

  wb3Shader();
  ~wb3Shader();

  virtual void Shade(const wb3Scene* scene,
                     const wb3Artifact* from,
                     const wb3Artifact* hit,
                     const Ray3f& r, const Vec3f &isect, 
                     Vec3f& color, Vec3f& attenuation, int hits) const = 0;

protected:

};

//----------------------------------------------------------------------------
inline wb3Shader::wb3Shader()
{
}
//----------------------------------------------------------------------------
inline wb3Shader::~wb3Shader()
{
}

//----------------------------------------------------------------------------
#endif
